0.15.2 (24 November 2007)
 * fixed loading some hex files [thanks to Xiaofan Chen and Hector Martin]
 * added 24FJ128/96/64
 * added missing register information for some devices
 * added ETT direct programmer [thanks to Jimkirk]
 * added 16F690/913/917 support to Picstart+
 * fixed crash when manually updating firmwares [reported by Claus Bjerre]
 * fixed blank-checking with icd2 debugger
 * fixed crashes when halting debugging session
 * added option to create a library from a project (gputils, sdcc, picc)
 * added simple views for object and library files
 * fixed crash in configuration generation dialog [report by Milan]
 * fixed several problems with progress bar
 * fixed crash when closing main window while programming
 * better watch window
 * add memory graph view to device information [idea by F. Gerin]
 * fixed disappearing bookmarks and save them in project file [report by Luke Orland]
 * updated Spanish translation [thanks to Felipe Caminos]
 * fixed piklab-prog option "target-self-powered"

0.15.1 (11 November 2007)
 * added 18F66J11/66J16/67J11 86J11/86J16/87J11
         18F65J50/66J50/66J55/67J50 85J50/86J50/86J55/87J50
         18F6393/8393 6493/8493
         24HJ16GP304/32GP202/32GP204
 * fixed config/template generator and I/O registers for some devices
 * added "custom" toolchain for custom shell commands
 * fixed coff parsing for PIC30 toolchain
 * fixed crash when running device
 * fixed device selection in project manager
 * C source debugging (only for 18F devices due to sdcc/gputils bug)
 * fixed debugging of C18 projects with gpsim 0.21.x
 * fixed display of bootloader option window
 * config bits comboboxes now ignore wheel events in hex editor
 * added "piklab-coff", a command-line utility for viewing coff, object and library files
 * updated French translation [thanks to Alain Portal]
 * fixed some compilation issues

0.15.0 (20 October 2007)
 * added 12F519 18F2423/4423/2523/4523 30F1010/2020/2023
         18F24J10/25J10/44J10/45J10 65J10/65J15/66J10/66J15/67J10
         18F85J10/85J15/86J10/86J15/87J10 18F63J11/64J11/65J11 83J11/84J11/85J11
         18F63J90/64J90/65J90 83J90/84J90/85J90
 * fixed checksum computations for some devices
 * fixed configuration bits for some devices
 * fixed config and template source generation for some devices
 * fixed crash while programming 12F510 [report by Scott Dattalo]
 * added option to disable eeprom programming
 * added option to skip verification after programming
 * fixed programming with picdem bootloader [thanks to Xiaofan Chen]
 * fixed pickit2 bootloader [thanks to Xiaofan Chen]
 * added icd2 support for 18F2450/4450/2423/4423/2523/4523/6527/6622/8527/8622
                          16F506/616/631/677
 * fixed simulating some 18F devices with some versions of gpsim
 * added support for EPE Toolkit mk3 direct programmer [thanks to Chris Lale]
 * added support for the 'EPE Toolkit mk3' direct programmer [thanks to Chris Lale]
 * better support for PIC30 toolchain [report by Brian Neltner]
 * added option to run after successfull programming [proposed by jda2158]
 * fixed "compile file" action [report by Alain Portal]
 * fixed adding objects from outside project directory
 * added option to automatically recompile before programming when the
   project is modified [proposed by pryyanek]
 * added status and feature filters in device chooser dialog
 * added menu item to call "kfind" inside project directory [proposed by Polly Lister]
 * added option to show/hide the close buttons on the tabs of the editor manager
   [proposed by james and bjohan]
 * added option to piklab-prog to set hardware type for direct programmers
 * added check for device compatibility and file creation commands to piklab-hex
 * move checksum command from piklab-prog to piklab-hex

0.14.5 (16 August 2007)
 * better error reporting if USB not compiled in
 * fixed USB support when compiling with qt only [report by Martin Goldack]

0.14.4 (5 August 2007)
 * fixed bug where osccal would be lost and piklab would crash when programming
   devices without osccal backup [report by Ed Spremolla]
 * fixed "likeback" not showing
 * added display in hex editor when configuration bits are invalid
 * fixed CodeGuard configuration bits and hex editor

0.14.3 (26 July 2007)
 * added support for 24H devices
 * updated register definitions to MPLAB 7.41
 * added 18F66J60 family [contribution by Alan Page]
 * added 12F609/HV609 16F610/HV610 16F882
 * added configuration for tiny bootloader (retries, port speed, delay)
 * added configuration for picdem bootloader (USB ids)
 * fixed tinybootloader for 16F88 [patch by Balaji Ramani]
 * fixed direct programming of 16F87XA (again)
 * fixed programming of 18F2410/2420/4410/4420 [report by Yuri Shnol]
 * fixed problem with tab history [reported by agalliazzo]
 * fixed crash in hex editor due to protected config bits (12F675, ...)
 * Spanish translation by Felipe Caminos
 * Czech translation by Milan Horák
 * try to open unrecognized devices as serial port
   instead of just failing in piklab-prog [reported by Jan Berkel]
 * fixed crash using upload_firmware in piklab-prog [report by John McCullough]
 * more resilient hex file parser [reported by Stefan Vonhalenbach]

0.14.2b (14 June 2007)
 * support for USB ICD2 under Windows [fixed by Minh Nguyen]

0.14.2 (9 April 2007)
 * device id and eeprom fixes for some 18F devices
 * fixed debugging of 18F2455 family [report by Florian Brabetz]
 * added parallel port support for FreeBSD (with ppbus)
 * added support for Pickit2 and Picdem fsusb bootloaders (untested + no data eeprom operations)
 * fixed device memory reading [broken in 0.14.1, report by Xiaofan Chen]
 * fixed direct programming of 16F87XA [report by Jorus Cbaoth]
 * do not open empty editor when file does not exit
 * no "added file to project" in new file dialog when there is no project
 * also include code for absent source files in disassembly listing (fixed debugging with sdcc + 18F devices)
 * fixed output hex filename for CCSC projects [report by krengersi and Bill Sack]
 * fixed CCSC options for version 3 (only detected for linux executables)

0.14.1 (11 March 2007)
 * fixed alignment problem with icd2 (for some 18F devices)
 * fixed some i18n inconsistency [thanks to Alain Portal]
 * fixed crash with config/template generator [report by Alain Portal]
 * fixed adding files in same directory with project wizard
 * fixed output hex filename for CC5X projects [report by philter_777]
 * fixed inverted "read-only" toggle for hex editor
 * fixed saving in editors (freeze with hex editor and display for text files)
 * support for Tiny Bootloader

0.14.0 (4 March 2007)
 * merge in kate gui for source editor (many more menu items available)
 * added console tool [idea by Rajesh Sankaran]
 * new project wizard
 * template source file generator
 * fixed gui problems with fast comment system
 * fixed crash when compiling assembler file with sdcc [report by Stefan von Halenbach]
 * fixed support for linux version of CCSC [report by Alan Page and Rajesh Sankaran]
 * fixed configuration dialog for PIC30 toolchain
 * added support for MPC and CCX5 compilers
 * added possibility to use custom device name for serial and parallel port
 * allow read/write/erase of individual memory range with command-line utility
 * speed-up programming and fixed timeouts for pickit2 [patch from Mark Stanley]
 * added pickit2 support for 16F87X
 * fixed freeze for connecting gpsim with an empty project [report by Florian Brabetz]
 * fixed crash when showing PC while debugging [report by Florian Brabetz]
 * added "--force" option for command-line programmer (answer "yes" to question and overwrite files)
 * new command-line utility for manipulating hex files (check, info, fix, and compare)
 * added Hungarian translation [thanks to Nagy Lázló]

0.13.3 (8 February 2007)
 * fixed compilation for OpenSuse and Fedora 5 [report by Xiaofan Chen and Alain Portal]
 * fixed support for CCSC
 * fixlet for asm highlighting
 * possibility to added several source files at once [idea by Gyula Kampfner]
 * fixed tool views (new user layout; fixed "show all" menu item; added "reset layout" menu item)
 * fixed toolchain config dialog: update/reset buttons work better
 * added serial USB devices under Slackware [thanks to Mark Stanley]

0.13.2 (31 January 2007)
 * better support for CCSC (windows and linux executables) [thanks to Mark Stanley]
 * german translation by Stephan von Halenbach
 * fixed 16F7X7 debugging
 * fixed Picstart+ support [thanks to Mark Stanley]
 * fixed debug executive name for some 18F devices [thanks to mkgrajek]
 * fixed register view for 18F devices
 * added icd2 support for 16F946
 * fixed spurious errors with gpsim
 * show warning when config generation is incomplete

0.13.1 (27 January 2007)
 * proper fixed for debug vector write/read for 18F devices with icd2 [thanks to Martin Forster]
 * fixed 16F877 debugging [thanks to Martin Forster]
 * fixed for ICD2 programming (verifying would fail when the code is at a large offset) [reported by Luke Cole]
 * fixed compilation with KDE 3.3
 * use toggle menu items for tool views [idea by Christoph Schäfer]
 * fixed view unsplitting [reported by Christoph Schäfer]
 * rows of 16 bytes for eeprom hex view [idea by Gyula Kampfner]
 * allow includes and better messages parsing for jalv2

0.13.0 (19 January 2007)
 * more flexible interface (by using dockable windows)
 * better editor navigation
 * fixed bug in register watch
 * debugging from a standalone file is now possible
 * read/write 24C eeproms with direct programmers
 * added support for 18F1230/1330, 18F2682/4682/2685/4685 (direct programmers + ICD2)
 * added direct programming support for 18F2439/4439/2539/4539,
   18F6310/6410/8310/8410, 18F6390/6490/8390/8490
 * "as-we-read" verify
 * more robust usb detection (hopefully)
 * more flexible compilation configuration
 * added support for CCS, JALV2, BoostC, BoostC++, and BoostBasic compilers
 * support for GPSim 0.22
 * less CPU usage and errors when verifying with serial ICD2 [fixed from Steve Moskovchenko]
 * extend even more the erase timeout for serial ICD2 [report by Ramiro del Corro]

0.12.2 (16 October 2006)
 * fixed register view while not debugging
 * fixed compilation for Slackware

0.12.1 (5 October 2006)
 * fixes for Qt4
 * fixed crash in advanced dialog
 * added French translation [thanks to Alain Portal]
 * fixed for sdcc and custom or debugging linker scripts
 * only use icd2 linker script with icd2 debugger

0.12.0 (1 October 2006)
 * pinout schematic for some devices
 * added LikeBack for fast feedback
 * icd2 debugging for 18F devices (tested with 18F452)
 * more robust icd2 programming (fixed timeout for long erase) [bug reported by lonely_soul]
 * fixed register view for 18F devices
 * added detailed I/O and combined registers into watch view
 * added register write to watch view
 * save/restore watched registers per project
 * fixed some problems with gpsim debugging
 * fixed "--target-self-powered" option for command-line programmer
 * added register read/write and breakpoints to command-line programmer
 * fixed launching of pikloops [bug reported by chcarver]
 * fixed 30F devices detection [bug reported by Yuri Ovcharenko]
 * fixed for custom libraries and custom script for PIC30 [bug reported by Yuri Ovcharenko]
 * fixed config generator for some 30F devices [bug reported by Yuri Ovcharenko]
 * fixed some issues with PICC integration [bugs reported by gduprey]
 * fixed integration of SDCC 2.6.0 [bugs reported by ambro]
 * much faster parsing and correct disassembly listing for coff files generated by picc
 * speed-up interface
 * fixed select all/find in editor [bug reported by gduprey]

0.11.3 (7 September 2006)
 * fixed crashes due to dependence on libkio for piklab-prog

0.11.2 (6 September 2006)
 * fixed compilation by detecting libncurses under Suse
 * fixed custom direct programmer configuration not appearing in dialog
 * fixed duplicated message boxes
 * fixed "command-list" option for command-line programmer
 * fixed crash in register view for 18F devices
 * fixed device information view

0.11.1 (23 August 2006)
 * fixed crashes with command-line programmer
 * fixed debugging for custom-made ICD2 [thanks to Nagy László]

0.11.0 (19 August 2006)
 * support for the Picstart+ programmer [many thanks to Nestor A. Marchesini for testing]
 * added support for gpsim (mid-range devices only)
 * speed-up coff file parsing at end of compilation with picc compilers
 * correctly highlight C lines in disassembly listing
 * fixed register view to work correctly in debugging
 * fixed watch view: changed status of registers was not correctly updated
 * added variable names in register and watch views
 * improved breakpoints management: fixed interaction with program counter
   display, invalid and reached indicators, breakpoints can be disabled,
   and listing tab.
 * added action to switch between header and implementation
 * added "port", "firmware-dir", and "target-self-powered" options to command-line programmer
 * command-line programmer can be compiled without kdelibs (Qt3 or Qt4)
 * command-line programmer for Windows (Qt4): works for serial ICD2 and serial "direct" programmers
 * interactive mode for command-line programmer with debugging support

0.10.0 (7 July 2006)
 * added support for JAL compiler + editor syntax highlighting
 * source files can be reordered by drag and drop in project manager
 * added disassembly listing for PICC compilers
 * added support for C18 compiler
 * added support for C30 with Wine and with coff format
 * added support for custom linker script in project (GPUtils/SDCC and C18)
 * display file full path as tooltip in project manager
 * speed-up serial ICD1/2 programming [help by Steve Moskovchenko]
 * fixed alignment bug in ICD2 programming [reported by Steve Moskovchenko]
 * fixed "verify only programmed" option for ICD2 programming
 * improved breakpoints management (updated in all editors, persistent if editors are closed)
 * ICD2 debugging supported with PICC compilers
 * fixed bug in register watching
 * fixed slow update on keystroke in editor [reported by zoiks]
 * some fixes and enhancements in asm and disassembly highlighting

0.9.0 (29 May 2006)
 * added calibration information and debug executive version to advanced dialog
 * added osccal regeneration for PICkit1 and PICkit2 (12F629/675/630/676)
 * fixed PICkit2 firmware upload
 * support for new PICkit2 firmware
 * fixed programming of 18F devices with PICkit2
 * initial support of ICD1 (not tested at all)
 * fixed bug in parallel direct programming [thanks to kein0r]
 * fixed checksum computation for some devices
 * added devices 12F615 16F616/16F631/677 18F2450/4450
 * faster loading, smaller executable, and smaller memory footprint
 * fixed crash opening config generator with auto device
 * added native coff parser (remove reliance on gpvo) + fixed disassembly highlighting
 * added native disassembler (remove reliance on gpdasm) + now includes user ids and eeprom data
 * support development version of sdcc and gputils

0.8.0 (6 May 2006)
 * added support for 16F716, 16HV785, and 16F87/88 with PICkit2
 * added action button for memory ranges (read/program/verify/erase/clear/zero/reload)
 * added option to preserve data eeprom and to blank check after erase
 * icd2 debugging: fixed STATUS/FSR/PCL/PCLATH read/write + added WREG/PC/STATUS/bank in status bar
 * icd2 debugging: disable watchdog timer
 * several fixes for hex editor
 * added checksum computation (with command-line too)
 * added option to set user id to unprotected checksum
 * added read-only/read-write toggle to editors
 * only display first and last banks for 18C/F chips (too slow otherwise...)
 * fixed dsPICS programming with ICD2 [thanks to Laurent Pinchard]
 * fixed calibration programming for baseline devices
 * added option to run tools with wine
 * added "advanced" dialog to programmers (firmware version + voltages)
 * added manual firmware uploading for ICD2 (with command-line too)

0.7.0 (23 April 2006)
 * fixed "program calibration" to write second word when present
 * speed-up direct programming for some devices
 * fixed direct programming of 18F devices
 * fixed direct programmers on parallel port [thanks to Andrea Fadda]
 * added direct programming for all remaining 16F and 18F devices
   but 18FXX39-X310-X410-X390-X490
 * option to only verify programmed words for direct programming
 * added support for 16F946 and 18F devices with pickit2
 * added support for Pickit1 programmer (baseline and midrange devices)
 * added 16C84, 16CR73/74/76/77 devices
 * added configuration generator for dsPICs and PIC30 toolchain
 * added "power device" toolbar/menu entry
 * fixed some issues with libusb
 * read/write/watch registers while debugging

0.6.1 (22 March 2006)
 * warn when hex file cannot be saved [reported by freddy]
 * tweak desktop file
 * added mimetype for project file
 * fixed lost calibration word for some 12F and 16F parts [reported by Xiaofan Chen]
 * fixed crash when creating new hex file with "auto" device

0.6.0 (14 March 2006)
 * save dialog sizes and splitter positions
 * config generator (baseline, midrange and some 18F devices)
 * support for pic30 toolchain
 * support for PICC-Lite, PICC and PICC-18
 * configurable executable paths
 * save opened files per project
 * fixed crash with "auto" device [reported by y2kmi]
 * added 16F7X7 support for direct programmers
 * warn if firmware version is not the one tested
 * fixed osccal read/write with pickit2 [reported by Xiaofan Chen]
 * fixed alignment bug in 18F programming [reported by Xiaofan Chen]
 * added device view to project manager
 * added register view to project manager

0.5.2 (1 March 2006)
 * partial fixed for aligment bug in 18F programming [reported by Xiaofan Chen]
 * fixed broken hex file save

0.5.1 (28 February 2006)
 * fixed crash at startup [reported by Ed Bennett]

0.5.0 (24 February 2006)
 * new project file format (xml)
 * several fixes in user interface
 * breapoints for ICD2 debugging of 16F parts
 * support for Small Device C Compiler (sdcc)
 * group config options for standalone file inside its own section
 * fixed compilation for gcc>4.0.1
 * added devices 16F506, 16F946, and 30F6010A/6011A/6012A/6013A/6014A/6015
 * added 10F2XX, 12F5XX, 14000, all 12C and 16C parts support for direct programmers
 * added 12F510, 16F59/627/628/685/687/689/690/7X/785/84A/91X,
   18F24XX/25XX/44XX/45XX/6310/6390/8310/8390/6627/8627/6722/8722,
   30F2011/2012/3011/3014/5011/5013 to icd2 programmer
 * fixed configuration blank check for several 18F devices

0.4.2 (18 February 2006)
 * if self-test failed, ask user if he wants to continue (ICD2)
 * added support for 12F510, 16F54-57-59 and 16F7X7 for PICkit2
 * fixed osccal and user ids read/write for some baseline chips with PICkit2 (12F508...)
 * fixed osccal read/write for some mid-range chips with PICkit2 (12F675...)
 * fixed osccal read/write for 12F675 with direct programmer
 * fixed compilation issue

0.4.1 (14 February 2006)
 * linker now generates coff files by default (fixed disassembly listing)
 * warn when device not supported by gputils
 * correctly display bang gap bits

0.4.0 (12 February 2006)
 * option to only program memory than need to be programmed (speed-up)
 * several fixes for editors
 * disassembly listing
 * warn if DEBUG configuration bit is on when not debugging
 * added included files in project listview
 * support for PICkit2 (baseline and midrange devices)
 * option to program after successful build
 * option to power off target after programming
 * basic ICD2 debugging (start/interrupt/step)
 * fixed for calibration words and band gap bits

0.3.2 (27 January 2006)
 * fixed for 16F81X/F87/F88 and 16F87XA direct programming bug
 * fixed compilation (gcc 3.4)
 * command-line programmer should now work without any running X server

0.3.1 (22 January 2006)
 * fixed freeze if serial cable disconnected from ICD2

0.3.0 (21 January 2006)
 * protected areas are excluded from verification
 * display code memory blocks in hex editor
 * display protected areas in hex editor
 * better configuration center
 * make compilation framework more flexible
 * show linker script in project listview
 * stand alone files now act as pseudo-projects
 * direct programmers now use global device data
 * JDM-type serial programmer works
 * fixed and simplify direct programmer configuration widget
 * incorporate some fixes from pikdev 0.8.2
 * fixed crash and bugs with ICD2 [reported by Xiaofan Chen]
 * fixed detection of libusb [reported by Xiaofan Chen]
 * fixed some FreeBSD compilation issues [help by Xiaofan Chen]
 * make serial and usb operations more reliable

0.2.0 (11 December 2005)
 * command line programmer
 * use XML files for device data (hex editor is now independent from
   selected programmer).
 * enhanced device chooser: sorts devices by family;
   information page (with link to device page on Microchip website and status).
 * "connect" and "hold_reset" programmer action
 * incorporate some fixes from pikdev 0.8.1
 * enhanced hex editor: disable wheel scrolling on config comboboxes;
   fixed memory display focus; added navigation keys; check compatibility with
   device type.
 * upload firmware for icd2
 * icd2 over USB

0.1.0 (22 June 2005)
 * convert config and new project windows to KDialogBase
 * added ICD2 programmer infrastructure (from "lplab")
 * reorganize in subprojects
 * clean-up and factor code
 * convert programmer window in hex editor
 * lots of GUI fixes

This changelog is relative to pikdev 0.7.2
